Page MenuHomePhabricator

Use header component & save button
Closed, ResolvedPublic

Description

  • add EventEmittingButton "save" button (hard-wired label) to Header component
  • add Header component to App
  • wire up "save" button with the store's save action

While working on this we discussed the question of "header vs application/error/loading state" with @Charlie_WMDE and concluded that the header should be shown irrespective of application state (i.e. will not be covered by either state indicator). The "save" button will need to be disabled during loading/... but this feature will be handled in dedicated T230342: enable/disable save button depending on Bridge state.

Details

Related Gerrit Patches:
mediawiki/extensions/Wikibase : masterbridge: add save button to header

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptAug 12 2019, 11:11 AM
Lucas_Werkmeister_WMDE renamed this task from User header component & save button to Use header component & save button.Sep 9 2019, 4:17 PM
Pablo-WMDE moved this task from To do to Doing on the Wikidata-Bridge-Sprint-5 board.

Change 536180 had a related patch set uploaded (by Pablo Grass (WMDE); owner: Pablo Grass (WMDE)):
[mediawiki/extensions/Wikibase@master] bridge: add save button to header

https://gerrit.wikimedia.org/r/536180

Pablo-WMDE updated the task description. (Show Details)Sep 18 2019, 2:14 PM
Pablo-WMDE added a subscriber: Charlie_WMDE.

Change 536180 merged by jenkins-bot:
[mediawiki/extensions/Wikibase@master] bridge: add save button to header

https://gerrit.wikimedia.org/r/536180

Lucas_Werkmeister_WMDE closed this task as Resolved.Sep 18 2019, 6:02 PM
Lucas_Werkmeister_WMDE moved this task from Peer Review to Done on the Wikidata-Bridge-Sprint-5 board.